Loading...
Searching...
No Matches
FunctorizedFactor.h File Reference

Go to the source code of this file.

## Classes

class | gtsam::FunctorizedFactor< R, T >
| Factor which evaluates provided unary functor and uses the result to compute error with respect to the provided measurement. More...
struct | gtsam::traits< FunctorizedFactor< R, T > >
| traits More...
class | gtsam::FunctorizedFactor2< R, T1, T2 >
| Factor which evaluates provided binary functor and uses the result to compute error with respect to the provided measurement. More...
struct | gtsam::traits< FunctorizedFactor2< R, T1, T2 > >
| traits More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

template<typename T, typename R, typename FUNC>
FunctorizedFactor< R, T > | gtsam::MakeFunctorizedFactor (Key key, const R &z, const SharedNoiseModel &model, const FUNC func)
| Helper function to create a functorized factor.
template<typename T1, typename T2, typename R, typename FUNC>
FunctorizedFactor2< R, T1, T2 > | gtsam::MakeFunctorizedFactor2 (Key key1, Key key2, const R &z, const SharedNoiseModel &model, const FUNC func)
| Helper function to create a functorized factor.

## Detailed Description

Date
  May 31, 2020

Author
  Varun Agrawal